All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.deployment
Interface ExportServiceConfigInterface

All Known Implementing Classes:
  ServiceProfile

    public interface ExportServiceConfigInterface

Interface used to export a service configuration to a UTF-8 encoded XML file.

Since:
  9.2

Method Summary
`void` | `exportServiceConfig(java.io.File file, ServiceAggregateConfig serviceAggregateConfig, boolean isExportingBaseConfig, java.util.List<java.lang.String> applicationConfigNames)` Exports the service configuration to a UTF-8 encoded XML file.

Method Detail

### exportServiceConfig

    void exportServiceConfig(java.io.File file,
                             ServiceAggregateConfig serviceAggregateConfig,
                             boolean isExportingBaseConfig,
                             java.util.List<java.lang.String> applicationConfigNames)
                             throws ServiceException

  Exports the service configuration to a UTF-8 encoded XML file.

  Parameters:
    `file` - The destination file to which a UTF-8 encoded representation of the service configuration will be written as XML.
    `serviceAggregateConfig` - The service configuration that is to be written.
    `isExportingBaseConfig` - `true` if the servie's base configuration is being exported or `false` if it isn't.
    `applicationConfigNames` - Collection of `String` elements representing the names of the service's layered application configurations which are being exported.
  Throws:
    `ServiceException` - if unable to export the service's configuration to a file.

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.